Skip to main content
PUT
/
rewards
/
addresses
/
{id}
Update a reward address
curl --request PUT \
  --url https://api.paxos.com/v2/rewards/addresses/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "<string>",
  "address": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "effective_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "payout_group_id": "<string>",
  "balance": "<string>",
  "asset_type": "<string>"
}
'
import requests

url = "https://api.paxos.com/v2/rewards/addresses/{id}"

payload = {
"customer_id": "<string>",
"address": "<string>",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"effective_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"payout_group_id": "<string>",
"balance": "<string>",
"asset_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: '<string>',
address: '<string>',
name: '<string>',
created_at: '2023-11-07T05:31:56Z',
effective_at: '2023-11-07T05:31:56Z',
id: '<string>',
payout_group_id: '<string>',
balance: '<string>',
asset_type: '<string>'
})
};

fetch('https://api.paxos.com/v2/rewards/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "address": {
    "customer_id": "<string>",
    "address": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "effective_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "payout_group_id": "<string>",
    "balance": "<string>",
    "status": "<string>",
    "asset_type": "<string>"
  }
}
OAuth Scope
rewards:write_monitoring_address

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Path Parameters

id
string
required

id is the address ID used as the URL path parameter. Must match address.id when both are provided.

Body

application/json
customer_id
string
ledger
enum<string>

An AttributionLedgerType is a data source which produces events which cause monitored to occur. Examples include blockchains and the Paxos platform. Each event includes a source and/or destination address which will be compared against the addresses configured relative to the same ledger type.

Available options:
PAXOS,
ETHEREUM,
SOLANA,
INK,
XLAYER,
ARBITRUM_ONE,
ROBINHOOD
address
string
name
string
created_at
string<date-time>
effective_at
string<date-time>
id
string
payout_group_id
string
balance
string
asset_type
string

Asset this address is scoped to (e.g. "PYUSD", "USDG"). Null/empty means all assets.

Response

200 - application/json

A successful response.

address
All data associated with an attribution address · object